## class Fl_Select_Browser

### Class Hierarchy

    Fl_Browser
       |
       +----Fl_Select_Browser

### Include Files

    #include <FL/Fl_Select_Browser.H>

### Description

The `Fl_Select_Browser` class is a subclass of `Fl_Browser` which lets the user select a single item, or no items by clicking on the empty space. As long as the mouse button is held down the item pointed to by it is highlighted. Normally the callback is done when the user presses the mouse, but you can change this with `when()`.

See `Fl_Browser` for methods to add and remove lines from the browser.

### Methods

- Fl_Select_Browser
- ~Fl_Select_Browser
- deselect
- select
- value

#### Fl_Select_Browser::Fl_Select_Browser(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Select_Browser` widget using the given position, size, and label string. The default boxtype is `FL_DOWN_BOX` .

#### virtual Fl_Select_Browser::~Fl_Select_Browser()

The destructor also deletes all the items in the list.

#### int Fl_Browser::deselect()

Same as `value(0)`.

#### int Fl_Browser::select(int,int=1)
int Fl_Browser::selected(int) const

You can use these for compatibility with `Fl_Multi_Browser`. If you turn on the selection of more than one line the results are unpredictable.

#### int Fl_Browser::value() const

Returns the number of the highlighted item, or zero if none. Notice that this is going to be zero except during a callback!